//-------------------------------------------------------------------------

function res = cpolygon(p)

//-----------------------------------------------------------------------  
// function res = cpolygon(p)
//
// function "cpolygon" converts a 2*n real matrix to a n*1 complex vector
//
// input:    p            is a 2*n real matrix
//          
// output:   res          is a n*1 complex vector
//
//-----------------------------------------------------------------------  
//   $RCSfile: cpolygon.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:15:07 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: cpolygon.sci,v $
//  Revision 1.1  2003/10/16 12:15:07  haasdonk
//  intial version after release of presto-box 1.0, after renaming of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------


  [out, in] = argn(0);
  if in ~= 1,
    error('wrong number of input arguments.');
  end;
  
  // converting real matrix (p) into complex vector (cv)
  
  cv = [ p(1,:) + %i * p(2,:) ];
  res = cv.';
endfunction















