function res = w_DI(x)
//-----------------------------------------------------------------------  
// function res = w_DI(x)
//
// performs w_DI-transformation 
//
// input:    x           matrix to be transformed
//
// output:   res         transformation of x.
//                       result is cyclic translation of the rows of x
//                       such that res has x's diagonal elements in
//                       the first column.
//
//-----------------------------------------------------------------------  
//   $RCSfile: w_DI.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:15:07 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: w_DI.sci,v $
//  Revision 1.1  2003/10/16 12:15:07  haasdonk
//  intial version after release of presto-box 1.0, after renaming of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  
  x_new=x;
  
  for i = 2:size(x,1),
    x_new(i,:) = [x_new(i,i:$) x_new(i,1:(i-1))];
  end;
  
  res = x_new;

endfunction
