function A = regress_matrix(p,X,Y)
//-----------------------------------------------------------------------  
// function A = regress_matrix(p,X,Y)
//
// Calculation of polynomial Regression-Matrix for learning 
// vectorial function y=f(x).
// 
// input:    p            desired polynomial degree of regression 
//           X            matrix with columwise observation vectors
//                        x_i
//           Y            matrix with columnwise target vectors y_i
//
// output:   A            Regression Matrix 
//
//-----------------------------------------------------------------------  
//   $RCSfile: regress_matrix.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: regress_matrix.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------
     
  // make power substituton from X-vectors:  
  PX = monomvec(p,X);  
  clear X p
  
  // Correlation matrix Cpy
  Cpy = (PX * Y')/size(PX,2);
  clear Y
  
  // Correlation matrix Cpp
  Cpp = (PX * PX')/size(PX,2);
  clear PX
  
  // Calculate A
  A = pinv(Cpp) * Cpy;
  clear Cpp Cpy
  
endfunction;

