function  plotFourierseq(pol, n_start, n_end, n_step )
//-----------------------------------------------------------------------  
// function  plotFourierseq(pol, n_start, n_end, n_step )
//
// plotting Fouriersequence of a Polygon for a given range and step values
//
// input:    pol	  a 2*n polygon
//	     n_start	  starting value of the range
//           n_end	  end value of the range
//           n_step	  step value in the range
//  
// output:   none
//
//-----------------------------------------------------------------------  
//   $RCSfile: plotFourierseq.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: plotFourierseq.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  i=n_start; 
  j=1;
  l = list(); 
  
  // making a list of All possible Fourier sequences  
   Fc = computeFc( n_end,cpolygon(pol) );
  
  while i<= n_end,
   F= Fc((n_end+1-i):(n_end+1+i));
    p=polygon( Fsynthesis( F ) );
    l(j)= p; 
    l(j+1)= 'N = '+ string(i);
    i= i + n_step; 
    j=j+2;
  
  end;
  xname('PlotFourierseq');
  plotpolseq( l(:) );
  
endfunction;



















