function res = CT_ZS(f1, f2, x)
//-----------------------------------------------------------------------  
// function res = CT_ZS(f1, f2, x)
//
// perform CT_ZS-Transformation 
//
// input:    f1, f2      commutative functions with calling syntax     
//                       r = f1(a,b) where a,b,r are equally sized
//                       matrices and r contains the results of 
//                       elementwise dyadic operation.                      
//           x           matrix to be transformed 
//
// output:   res         transformation of x. 
//
//-----------------------------------------------------------------------  
//   $RCSfile: CT_ZS.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: CT_ZS.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.1  2002/05/06 16:43:57  haasdonk
//  inserted files from lecture WS0102 / SS02
//
//-----------------------------------------------------------------------

res = CT_SZ(f1,f2,x')';

endfunction;