function plotFs(Fc)
//-----------------------------------------------------------------------  
// function plotFs(pol)
//
// A routine for plotting fourier spectrum (mainly used in Fc_demo)
//
// input:    index    a vector of indexes of Fourier co.ef.s
//           abs_val  a vector of absolute values of Fourier co-ef.s
//           
//
// output:   none
//
//-----------------------------------------------------------------------  
//   $RCSfile: plotFs.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: plotFs.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.1  2002/05/20 19:10:38  poluru
//  initial version added
//
//-----------------------------------------------------------------------

  [out,in] = argn(0);
  
  if in ~=1,
    error('wrong number of input arguments!');
  end;
  
  if size(Fc,1)~=1 & size(Fc,2)~=1,
    error('input arument should be a complex vector');
  end
  n = floor(length(Fc)/2);
  FC = polygon(Fc);
  
  index = -n:n; 
  abs_val = sqrt([FC(1,:)^2 + FC(2,:)^2]);  
  ma = max(abs_val); 
  
  plot2d3(index,abs_val,0,"011"," ", [-n,0,n,ma+1]);
    
endfunction
