.TH Fsynthesis  "MONTH 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
Fsynthesis - Fourier-synthesis of a polygon using its Fourier-coefficients 

.SH CALLING SEQUENCE
.nf
res = Fsynthesis(Fc)
.fi

.SH PARAMETERS
.TP 10
Fc   :      
complex Fourier-coefficients, can be obtained by computeFc function.
.TP 10
res  :      
A vector of 1000 complex values representing the approximate polygon.

.SH DESCRIPTION
\fVFsynthesis\fR synthesises the input complex vector Fc (generally obtained 
from "computeFc") into 1000 points in the complex plane and outputs the 
resulting complex vector. It can be drawn by "plotpol" function once if 
it is converted to a real matrix by using "polygon" function.

.SH EXAMPLE 
.nf 
p = polstar;
Fc = computeFc(40, cpolygon(p));
Fs = Fsynthesis(Fc);
plotpol(polygon(Fs));  
.fi

.SH SEE ALSO
computeFc, cpolygon, plotpol, polstar, polygon

.SH AUTHOR
Bernard Haasdonk

