.TH computeFc  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
computeFc - Fourier-coefficients of closed polygons in the complex plane 
.SH CALLING SEQUENCE
.nf
res = computeFc(n, cpol)
.fi

.SH PARAMETERS
.TP 10
n     :      
maximum index of Fourier-coefficients to be calculated, integer >=1
.TP 10
cpol  : 
vector of complex values representing the polygon.   
.TP 10
res   :      
vector of (complex valued) Fourier-coefficients c_i (i ranging from -n, ..., 0, ..., +n)

.SH DESCRIPTION
\fVcomputeFc\fR  takes a complex vector representing a closed polygon and 
calculates the Fourier-coefficients (in the complex plane). The output can 
 be used in "Fsynthesis", "computeFd" functions. 

.SH EXAMPLE 
.nf 
n = 40;
cpol = cpolygon(polstar(5,4,3));
res = computeFc(n, cpol);  
.fi

.SH SEE ALSO
computeFd, cpolygon, polstar, Fsynthesis

.SH AUTHOR
Bernard Haasdonk

