.TH detect_symmetry  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
detect_symmetry - detection of rotational symmetry degree of a complex polygon

.SH CALLING SEQUENCE
.nf
res = detect_symmetry(Fc)
.fi

.SH PARAMETERS
.TP 10
Fc   :      
vector of Fourier-coefficients obtained from a polygon.
.TP 10
res  :      
(largest) symmetry degree of the polygon represented by Fc

.SH DESCRIPTION
\fVdetect_symmetry\fR detects rotational symmetry degree s of a polygon 
represented by its Fourier-coefficients (Fc).
This is the maximum number for which a rotation of 2%pi/s around the polygon's
center exactly reproduces the polygon.  
If the polygon is not symmetric then the output will be 1. 
 
.SH EXAMPLE 
.nf 
Fc = computeFc(40, cpolygon(polstar(5,4,3))); 
res = detect_symmetry(Fc);  
.fi

.SH SEE ALSO
computeFc, computeFd, polstar

.SH AUTHOR
Bernard Haasdonk

