.TH nneigh_class  "Julay 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
nneigh_class - implements the nearest neighbour classification in multi-dimensions

.SH CALLING SEQUENCE
.nf
[classes,cert] = nneigh_class(x, xlearn, labels).
.fi

.SH PARAMETERS
.TP 14
x        :       
a n1*n2 matrix representing n2 data points to be classified
as its columns.
.TP 14
xlearn   : 
n1*m - matrix consisting of learning points
.TP 14
labels   :
vector of integer class-labels (length m)		    
.TP 14
classes  :      
vector of estimated class memberships (length n2).
.TP 14
cert     :      
vector of certainty measures for the classifications (length n2).

.SH DESCRIPTION
\fVnneigh_class\fR implementation of nearest neighbour classification in 
 arbitrary dimensions and arbitrary classes. As heuristic certainty measure 
 simly exp(-sqr(d)) is used, where d is the distance of a classified point 
to its nearest neighbour in the set of learning points.

.SH EXAMPLE 
.nf 
//2-dimensional data		    
x = rand(2,50);
xlearn = randnormal([1 2], eye(2,2), 25);
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];		    
[classes,cert] = nneigh_class_2d(x, xlearn, labels);
.fi

.SH SEE ALSO
nneigh_class_2d, bayes_class_2d, dumb_class_2d, bayes_class, polynom_class

.SH AUTHOR
Bhaskara Reddy Poluru


