.TH pollinecog  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
pollinecog - line center of gravity of a real polygon 

.SH CALLING SEQUENCE
.nf
res = pollinecog(p)
.fi

.SH PARAMETERS
.TP 10
p    :      
a 2*n real matrix representing the polygon for which the line center 
of gravity is to be calculated.

.TP 10
res  :      
line center of gravity of the input polygon

.SH DESCRIPTION
\fVpollinecog\fR calculates the line center of gravity of the polygon 
represented by a 2*n real valued matrix. This is the "physical" center of 
gravity if mass is distributed uniformly along the boundary line
of the polygon.

.SH EXAMPLE 
.nf 
p = polstar(5,4,3);
res = pollinecog(p);  
.fi

.SH SEE ALSO
polcog, polarea, polboundary, polstar, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru

