.TH polynom_class  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polynom_class - training of polynomial classifier and classification.

.SH CALLING SEQUENCE
.nf
[classes, cert] = polynom_class(X, p, Xlearn, labels)
.fi

.SH PARAMETERS
.TP 14
X         :      
arbitrary sized matrix of columnwise points which have to be classified.
.TP 14
p         :      
polynomial degree to be used (positive integer) 
.TP 14
Xlearn    :      
matrix of columnwise learning vectors, dimension of the vectors 
has to coincide with columns of X
.TP 14
labels    :      
vector of integer-labels (starting from 1) of the learning vectors 
(of same length as number of Xlearn-examples )
.TP 14
classes   :      
 vector of estimated class-numbers for each vector in X.
.TP 14
cert      :      
 vector of "certainties" for each class decision. Values between 
0 and 1, simply the maximum of the winning decision function.

.SH DESCRIPTION
\fVpolynom_class\fR first performs polynomial regression on the learning data, 
(uses regress_matrix and polynom_regress functions for this purpose) 
then it uses this regression-function for classification. 

.SH EXAMPLE 
.nf 
X = rand(2,50); 
p = 2;
Xlearn = randnormal([1 2], eye(2,2), 25);
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];

res = polynom_class(X, p, Xlearn, labels);  
.fi

.SH SEE ALSO
bayes_class, dumb_class_2d, nneigh_class, polynom_regress, 
regress_matrix

.SH AUTHOR
Bernard Haasdonk


