.TH regress_matrix  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
regress_matrix - calculates polynomial regression matrix for vectorial function y=f(x).
.SH CALLING SEQUENCE
.nf
res = regress_matrix(p, Xlearn, Y)
.fi

.SH PARAMETERS
.TP 12
p       :      
desired polynomial degree of regression
.TP 12
Xlearn  :      
matrix with columnwise observation vectors x_i 
.TP 12
Y       :      
matrix with columnwise target vectors y_i
.TP 12
res     :      
regression matrix defining regression function. 

.SH DESCRIPTION
\fVregress_matrix\fR calculates the polynomial regression-matrix given some
learning data. This matrix can then be used
for evaluation of the regression function in new points by polynom_regress    

.SH EXAMPLE 
.nf 
Xlearn = randnormal([1 2], eye(2,2), 25);
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];
Y = zeros(max(labels),size(Xlearn,2));
p = 2;

res = regress_matrix(p, Xlearn,Y);  
.fi

.SH SEE ALSO
monomvec, polynom_class, polynom_regress, randnormal

.SH AUTHOR
Bernard Haasdonk




