.TH visclass  "July 2002" "Presto Group" "Scilab function"
.So ../Sci.An
 
.SH NAME 
visclass - visualization of classification regions in multi dimensions

.SH CALLING SEQUENCE
.Nf
visclass(["origin", ori], ["projections", proj1, proj2], ["size", Size],
["resolution", resol], ["gui"], ["class_color", cl_no, RGB_Vect],
["2d", ["plot_points", points, labels], ["shades", num_shades]], 
"classifier", classif, class_data)
.Fi

.SH PARAMETERS
.TP 18
"origin"       :      
this string should be followed by a vector(ori) representing the
origin of the plot, default value is [-3,-3].
.TP 18
"projections"  :      
this string should be followed by two distinct positive integers
> 0 & <= length(ori), default values are 1 & 2.
.TP 18
"size"         :      
this string should be followed by a vector of length 2 for setting
the size of the range of x and y coordinates for plotting, default
value is [6,6].
.TP 18
"resolution"   :      
this string should be followed by a vector of length 2 for setting
resolution of the range of x and y coordinates for plotting, the
default value is [31,31].
.TP 18
"gui"          :      
this should be given if the user wants to modify some of
the parameters of this function interactively, (a GUI
will be popped up for this).
.TP 18
"class_color"  :      
this string should be followed by the class number (an integer) &
a vector [R G B] of length 3 for setting class_color R,G,B. Each
should be between 0 & 1.
.TP 18
"2d"           :
since the default plotting type is "3d", the user should use this parameter
if he wants to see the visualization in 2d-graphics.
.TP 18
"plot_points"  :
plots some points with different shades in the plotting region, this
string should be followed by a (2 x n) matrix of the points to be
plotted and a vector of their class labels, this is an optional
argument, it should be given only when "2d" option is selected.
.TP 18
"shades"       :
this string should be followed by a positive integer <100, which
sets the number of shades of 2d plotting. should be given only when
"2d" option is selected, the default value is 16.
.TP 18
"classifier"   :
should be at the end of all the arguments. this string should be
followed by any of the classifiers like: dumb_class_2d, bayes_class,
nneigh_class, polynom_class & the corresponding classifier specific data.
.TP 18
"class_data"   :
classifier specific parameters ordered as in the individual argument syntax.
For example p, m, k for bayes_class, learn_data & labels for
nneigh_class.

.SH DESCRIPTION
\fVvisclass\fR visualizes classification of a given classifier
in multi dimensions. If called with the "gui" option, interactive
setting of various display-parameters is possible. 

.SH EXAMPLE 
.Nf 
// the default classifier is: dumb_class_2d
visclass();

//an example with bayes_class
ppts =[1 2 2 1; 1 1 2 2];
pls =[2 1 1 2];
m1 = [1; -1]; K1= [2,-1; -1.2,2.1];
m2 = [0; 1]; K2 = [2, 1; 1, 1];
v1 = randnormal(m1,K1,40);
v2 = randnormal(m2,K2,40);
V = [v1,v2];
l = [ones(1,40)  2* ones(1,40)];
visclass('2d','plot_points', ppts, pls, 'classfier', bayes_class, V, l);  
.Fi

.SH SEE ALSO
visclass_2d, dumb_class_2d, bayes_class, bayes_class_2d, nneigh_class, 
nneigh_class_2d, polynom_class

.SH AUTHOR
Bhaskara Reddy Poluru

